Firmware update Racks

View as MarkdownOpen in Claude

Update firmware on Racks with optional name filter. If no filter is specified, targets all racks in the Site.

Org must have an Infrastructure Provider entity. User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired

Request

This endpoint expects an object.
siteIdstringRequiredformat: "uuid"
ID of the Site
filterobjectOptional
Filter criteria for selecting racks in batch operations. If omitted or empty, all racks in the site are targeted.
versionstring or nullOptional
Target firmware version.

Response

OK
taskIdslist of strings
List of task IDs created for the firmware update operation

Errors

400
Bad Request Error
403
Forbidden Error